Debian Bug report logs - #532120
Require support for temporary /var/run/ and /var/lock in all packages

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Julian Andres Klode <jak@debian.org>

Date: Sat, 6 Jun 2009 15:06:07 UTC

Severity: normal

Merged with 620870, 660841

Found in versions debian-policy/3.8.1.0, debian-policy/3.9.1.0

Fixed in version debian-policy/3.9.3.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jak@debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#532120; Package debian-policy. (Sat, 06 Jun 2009 15:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
New Bug report received and forwarded. Copy sent to jak@debian.org, Debian Policy List <debian-policy@lists.debian.org>. (Sat, 06 Jun 2009 15:06:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Require support for temporary /var/run/ and /var/lock in all packages
Date: Sat, 6 Jun 2009 17:01:46 +0200
[Message part 1 (text/plain, inline)]
Package: debian-policy
Version: 3.8.1.0
Severity: wishlist

The wording of Policy 9.3.2's

 /var/run and /var/lock may be mounted as temporary filesystems[60], so the
 init.d scripts must handle this correctly.

only applies to init.d scripts. But init.d scripts are not the only scripts
using /var/run. Bug#452198 is not RC if you apply this rule only to init.d
scripts, because it provides no init.d script.

Therefore, I propose to change the requirement so that all packages must
support /var/run/ and /var/lock/ on temporary filesystems, and not only
those which provide an init script.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (350, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

debian-policy depends on no packages.

debian-policy recommends no packages.

Versions of packages debian-policy suggests:
ii  doc-base                      0.9.2      utilities to manage online documen

-- no debconf information

-- 
Julian Andres Klode  - Free Software Developer
   Debian Developer  - Contributing Member of SPI
   Ubuntu Member     - Fellow of FSFE

Website: http://jak-linux.org/   XMPP: juliank@jabber.org
Debian:  http://www.debian.org/  SPI:  http://www.spi-inc.org/
Ubuntu:  http://www.ubuntu.com/  FSFE: http://www.fsfe.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#532120; Package debian-policy. (Thu, 18 Jun 2009 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 18 Jun 2009 09:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 532120@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Julian Andres Klode <jak@debian.org>, 532120@bugs.debian.org
Subject: Re: Bug#532120: Require support for temporary /var/run/ and /var/lock in all packages
Date: Thu, 18 Jun 2009 10:04:21 +0100
On Sat, Jun 06, 2009 at 05:01:46PM +0200, Julian Andres Klode wrote:
> The wording of Policy 9.3.2's
> 
>  /var/run and /var/lock may be mounted as temporary filesystems[60], so the
>  init.d scripts must handle this correctly.
> 
> only applies to init.d scripts. But init.d scripts are not the only scripts
> using /var/run. Bug#452198 is not RC if you apply this rule only to init.d
> scripts, because it provides no init.d script.
> 
> Therefore, I propose to change the requirement so that all packages must
> support /var/run/ and /var/lock/ on temporary filesystems, and not only
> those which provide an init script.

This seems reasonable to me; I don't think we'd foreseen this being a
problem for things other than init scripts. Do you have a proposed patch
for this, or a suggestion on how it might be better written?

I thought a bit about moving the text somewhere else - maybe a new
subsection under 9.1 - but I think the requirement applies *principally*
to init scripts. Perhaps it would be best to simply add a parenthesis
saying that this also applies to the rest of the system?

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#532120; Package debian-policy. (Thu, 18 Jun 2009 16:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 18 Jun 2009 16:54:05 GMT) Full text and rfc822 format available.

Message #15 received at 532120@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: 532120@bugs.debian.org
Subject: Re: Bug#532120: Require support for temporary /var/run/ and /var/lock in all packages
Date: Thu, 18 Jun 2009 18:18:55 +0200
On Thu, Jun 18, 2009 at 10:04:21AM +0100, Colin Watson wrote:
> On Sat, Jun 06, 2009 at 05:01:46PM +0200, Julian Andres Klode wrote:
> > Therefore, I propose to change the requirement so that all packages must
> > support /var/run/ and /var/lock/ on temporary filesystems, and not only
> > those which provide an init script.
> 
> This seems reasonable to me; I don't think we'd foreseen this being a
> problem for things other than init scripts. Do you have a proposed patch
> for this, or a suggestion on how it might be better written?

How about:
 /var/run and /var/lock may be mounted as temporary filesystems[59], so
 packages must handle this correctly. This will typically amount to creating any
 required subdirectories dynamically when an init.d script is run, rather than
 including them in the package and relying on dpkg to create them. 

Replacing the first "the init.d scripts" with "packages", and the second
"the init.d script" with "an init.d script".

> 
> I thought a bit about moving the text somewhere else - maybe a new
> subsection under 9.1 - but I think the requirement applies *principally*
> to init scripts. Perhaps it would be best to simply add a parenthesis
> saying that this also applies to the rest of the system?

A new section under 9.1 would be easier to find.


-- 
Julian Andres Klode  - Free Software Developer
   Debian Developer  - Contributing Member of SPI
   Ubuntu Member     - Fellow of FSFE

Website: http://jak-linux.org/   XMPP: juliank@jabber.org
Debian:  http://www.debian.org/  SPI:  http://www.spi-inc.org/
Ubuntu:  http://www.ubuntu.com/  FSFE: http://www.fsfe.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#532120; Package debian-policy. (Mon, 22 Jun 2009 05:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 22 Jun 2009 05:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 532120@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Colin Watson <cjwatson@debian.org>, 532120@bugs.debian.org
Cc: Julian Andres Klode <jak@debian.org>
Subject: Re: Bug#532120: Require support for temporary /var/run/ and /var/lock in all packages
Date: Mon, 22 Jun 2009 06:03:37 +0100
On Thu, Jun 18, 2009 at 10:04:21AM +0100, Colin Watson wrote:
> On Sat, Jun 06, 2009 at 05:01:46PM +0200, Julian Andres Klode wrote:
> > The wording of Policy 9.3.2's

> >  /var/run and /var/lock may be mounted as temporary filesystems[60], so the
> >  init.d scripts must handle this correctly.

> > only applies to init.d scripts. But init.d scripts are not the only scripts
> > using /var/run. Bug#452198 is not RC if you apply this rule only to init.d
> > scripts, because it provides no init.d script.

> > Therefore, I propose to change the requirement so that all packages must
> > support /var/run/ and /var/lock/ on temporary filesystems, and not only
> > those which provide an init script.

> This seems reasonable to me; I don't think we'd foreseen this being a
> problem for things other than init scripts. Do you have a proposed patch
> for this, or a suggestion on how it might be better written?

Given that:

 - plenty of users will be using tmpfs for /var/run and /var/lock, so these
   subdirectories will be absent after boot;
 - you need to be root to create subdirs here;
 - most processes started outside of the boot sequence are not going to have
   root privileges (including the policy kit process in the example bug
   #452198)

I don't think the reference to init scripts is far off.  The single
exception that I'm aware of that will create its own /var/run subdir as
needed and doesn't require an init script is sudo.

Perhaps supplementing the "init scripts must handle..." with an "any package
that needs a subdir should have an init script" addresses this?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#532120; Package debian-policy. (Sat, 07 Jan 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 07 Jan 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 532120@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Julian Andres Klode <jak@debian.org>
Cc: 532120@bugs.debian.org
Subject: Re: Bug#532120: Require support for temporary /var/run/ and /var/lock in all packages
Date: Sat, 07 Jan 2012 08:37:55 -0800
user debian-policy@packages.debian.org
usertag 532120 = normative
tags 532120 patch
severity 532120 normal
merge 532120 620870
thanks

Julian Andres Klode <jak@debian.org> writes:

> The wording of Policy 9.3.2's

>  /var/run and /var/lock may be mounted as temporary filesystems[60], so the
>  init.d scripts must handle this correctly.

> only applies to init.d scripts. But init.d scripts are not the only scripts
> using /var/run. Bug#452198 is not RC if you apply this rule only to init.d
> scripts, because it provides no init.d script.

> Therefore, I propose to change the requirement so that all packages must
> support /var/run/ and /var/lock/ on temporary filesystems, and not only
> those which provide an init script.

My patch for #620870 also handles this (by adding a separate section and
referring to it from the init script section), so merging accordingly.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 07 Jan 2012 16:42:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 07 Jan 2012 16:42:05 GMT) Full text and rfc822 format available.

Merged 532120 620870. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 07 Jan 2012 16:42:06 GMT) Full text and rfc822 format available.

Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 13 Jan 2012 17:24:05 GMT) Full text and rfc822 format available.

Forcibly Merged 532120 620870 660841. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 22 Feb 2012 15:27:24 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 04:06:07 GMT) Full text and rfc822 format available.

Notification sent to Julian Andres Klode <jak@debian.org>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 04:06:07 GMT) Full text and rfc822 format available.

Message #40 received at 532120-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 532120-close@bugs.debian.org
Subject: Bug#532120: fixed in debian-policy 3.9.3.0
Date: Thu, 23 Feb 2012 04:02:12 +0000
Source: debian-policy
Source-Version: 3.9.3.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.3.0.dsc
  to main/d/debian-policy/debian-policy_3.9.3.0.dsc
debian-policy_3.9.3.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.3.0.tar.gz
debian-policy_3.9.3.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.3.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532120@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 22 Feb 2012 19:40:36 -0800
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.3.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 23712 89038 498300 532120 578421 593533 609162 617315 617516 619275 620870 621479 623050 626338 626408 626779 626796 627490 628540 633797 637614 640735 640737 641071 643690 644230 646119 646166 648387 649674 651020 658209
Changes: 
 debian-policy (3.9.3.0) unstable; urgency=low
 .
   [ Russ Allbery ]
   * Update the copyright format document to the version of DEP-5 from the
     DEP web site and apply additional changes from subsequent discussion
     in debian-devel and debian-project.  Revise for clarity, to add more
     examples, and to update the GFDL license versions.  Thanks, Steve
     Langasek, Charles Plessy, Justin B Rye, and Jonathan Nieder.
     (Closes: #658209, #648387)
   * Publish the copyright format specification as copyright-format-1.0 so
     that later versions can be added without removing previous versions of
     the standard.  Patch from Charles Plessy.  (Closes: #646119)
   * Policy: Improve Architecture field in source package
     Wording: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #626779
   * Policy: Initial Debian maintainers need not be listed in copyright
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #593533
   * Policy: Document cron job file naming restrictions
     Wording: Karl E. Jorgensen <karl@jorgensen.org.uk>
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Dominic Hargreaves <dom@earth.li>
     Seconded: Javier Fernández-Sanguino Peña <jfs@computer.org>
     Closes: #609162
   * Policy: Document issues with conflicting packages sharing a conffile
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #23712
   * Policy: Add /run FHS exception, clarify rules for /run and /var/run
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Roger Leigh <rleigh@codelibre.net>
     Closes: #620870, #532120
   * Policy: Architecture restrictions in a dependency must be non-empty
     Wording: Stefano Zacchiroli <zack@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Colin Watson <cjwatson@debian.org>
     Closes: #498300
   * MIME Policy: Retire this document and merge it with Policy
     Wording: Ben Finney <ben+debian@benfinney.id.au>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #89038
   * Consistently use "Debian source control file" for *.dsc files and
     "Source package control file" for debian/control files.  Patch from
     Charles Plessy.  (Closes: #626796)
   * Clarify that continuation lines of the Description control field must
     contain at least one non-whitespace character.  Thanks, Guillem Jover.
     (Closes: #627490)
   * Fix the example of creating a /usr/local subdirectory to not fail if
     the chown or chmod fail.  Thanks, Joey Hess.  (Closes: #617315)
   * Clarify the requirements for symlinks from inside one top-level
     directory to another and add examples and a rationale.  Thanks,
     Carsten Hey.  (Closes: #626338)
   * Clarify that Perl Policy 2.4 is for packages built from the perl
     source package and the manual page extensions are different for
     separate module packages.  Thanks, Steve Langasek.  (Closes: #643690)
   * Say that packages in main may also not recommend packages in non-free,
     bringing the main text in line with the list of fields and in line
     with the long-standing release goal.  (Closes: #646166)
   * Resynchronize the archive section list with ftp-master, adding
     education, introspection, and metapackages.  Patch from Charles
     Plessy.  (Closes: #651020)
   * Clarify that packages in main may not declare Pre-Depends or
     Build-Depends-Indep relationships outside of main either.  Partly
     addresses #587279.
   * Fix typo in the version numbers in the dpkg-divert examples.  Thanks,
     Slavko.
   * Add the release date of 3.9.2.0 to upgrading-checklist.
   * Fix ordering of the last entries in the 3.9.2.0 upgrading-checklist.
   * Fix typo in upgrading-checklist entry for multiarch paths.  Thanks,
     Michael Dorrington.  (Closes: #626408)
   * Add id tags for each version entry in upgrading-checklist so that,
     when eventually published somewhere, other Debian web sites can link
     to specific entries.  Patch from Charles Plessy.
   * Add AGPL-3 to tools/license-count.
   * Update tools/license-count to work with the new Lintian lab layout.
   * Add build-arch and build-indep targets to debian/rules.
 .
   [ Bill Allombert ]
   * Policy: Link relationship fields (7.1) to architecture specification
     strings (11.1).
     Patch from Charles Plessy in #628174.
   * Policy: Retire legacy Motif policy (11.8.8)
     Proposed by: Justin B Rye
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #621479
   * copyright-format: Fix URL for the Eiffel Forum License.
     Reported by Thomas Preud'homme, patch by Charles Plessy.
     Closes: #623050
   * copyright-format: Update SPDX link to point to the SPDX license registry.
     Patch by Charles Plessy.  Closes: #628540
   * copyright-format: Correct or add links to SPDX.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #641071
   * Policy: Clarify that 'machine-extractable' referer the copyright
     files (12.5)
     Wording:  Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #617516
   * copyright-format: remove drivers from abstract and useless appendix
     Wording: Lars Wirzenius <liw@liw.fi>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #640735
   * copyright-format: Fix syntax of examples.
     Proposed by: Charles Plessy <plessy@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Closes: #649674
   * copyright-format: Clarify specification of multiple license exception:
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Craig Small <csmall@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Jonas Smedegaard <dr@jones.dk>
     Closes: #633797
   * copyright-format: Specify URL on www.debian.org
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: David Prévot <taffit@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #640737
   * Perl policy: Document major version upgrade trigger
     Wording: Dominic Hargreaves <dom@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Niko Tyni <ntyni@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #619275
   * Virtual: change ttf-japanese-{mincho, gothic} to
     fonts-japanese-{mincho, gothic}.
     Proposed by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #644230
   * Virtual: Retire java-compiler, java2-compiler, and java-virtual-machine.
     Proposed by: Niels Thykier <niels@thykier.net>
     Seconded: tony mancill <tmancill@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #578421
   * Policy 9.10: No more recommend to call install-docs for doc-base.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Robert Luberda <robert@debian.org>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #637614
Checksums-Sha1: 
 f09d426468f56b6049b9125da20653929839ab3d 1518 debian-policy_3.9.3.0.dsc
 ccf8018f8d0bd2e362c9af50622ddd003ea52ac7 692844 debian-policy_3.9.3.0.tar.gz
 ee6c63e2c39db3cb1478ebe4115fc856a455d92b 1926768 debian-policy_3.9.3.0_all.deb
Checksums-Sha256: 
 5466d21ba0c6ede59969da1092d140eb0039e2d0fcc73911db2fcf41d193a80a 1518 debian-policy_3.9.3.0.dsc
 3d04d02064329136765d0e5926aca956d9d55ca171ad12efcbb890cffaad4a73 692844 debian-policy_3.9.3.0.tar.gz
 e456bf496aeb792c90cbbf7a8192c8cb13e5421252779d5f9cb6114a47321c3e 1926768 debian-policy_3.9.3.0_all.deb
Files: 
 d2c6604b9c75c57536ac42b04abb3eba 1518 doc optional debian-policy_3.9.3.0.dsc
 01d3630a3393d484ad765d53aca0f0fc 692844 doc optional debian-policy_3.9.3.0.tar.gz
 88e00d9c8508884a9403ae403332325a 1926768 doc optional debian-policy_3.9.3.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJPRbldAAoJEH2AMVxXNt51FqYH/222GABCa953WNu1SRxP7s7k
HttTjAFekZkxGz+EfjujDteiJg3j6ep0ebOSQXSDm2EoTJY4RtpzmSigTqw0wGC4
+uv4StQTZTK/SJD8BYq3gkrxTy2YvzmVnfh1JIr8xLy3+l7jK7zykIDlg2nwUann
rUk5mY5x0Us8XK7U6TEjyudhPqppinARoolS+bSLBlkpGokOqXILRN2V6S5q1sAN
5I0YfL3coD/b2CEpJnieSMQagsO8H0Vn0n2RgT4T8L2fXuKo2dKCWfFAv3XlwPb0
RwmIz/pl8kqsdf+fJnUGXGqxfpy+TdUAdTlPIYQTaM5dn5E1i3oH8r2hOkEHQYU=
=AEmv
-----END PGP SIGNATURE-----





Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 04:06:08 GMT) Full text and rfc822 format available.

Notification sent to Roger Leigh <rleigh@debian.org>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 04:06:08 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 04:06:09 GMT) Full text and rfc822 format available.

Notification sent to Francois Mescam <francois@mescam.org>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 04:06:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:37:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:38:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.